Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind.resolution
Class RequiredKeySet

    java.lang.Object
      com.google.gwt.inject.rebind.resolution.RequiredKeySet

    public class RequiredKeySet

extends java.lang.Object

Computes the set of required keys in a given `DependencyGraph`. A key is considered required if there exists a path from the dependencies of the origin Ginjector to the key that only passes through required edges.

Constructor Summary
`RequiredKeySet(DependencyGraph graph)`

Method Summary
`boolean` | `isRequired(Key<?> key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequiredKeySet

    public RequiredKeySet(DependencyGraph graph)

Method Detail

### isRequired

    public boolean isRequired(Key<?> key)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD